﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MainWindow.xaml.cs" company="">
//   
// </copyright>
// <summary>
//   Interaction logic for MainWindow.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------


using System.Threading;
using System.Windows;
using System.Windows.Threading;
using Infragistics.Windows.Themes;
using Infragistics.Windows;
using Infragistics.Windows.Controls;

namespace RibbonButtons
{
  /// <summary>Interaction logic for MainWindow.xaml</summary>
  public partial class MainWindow : Window
  {
    /// <summary>Initializes a new instance of the <see cref="MainWindow"/> class.</summary>
    public MainWindow()
    {
      InitializeComponent();
    }

    /// <summary>The default_ theme.</summary>
    /// <param name="sender">The sender.</param>
    /// <param name="e">The e.</param>
    private void Default_Theme(object sender, RoutedEventArgs e)
    {
        
      SetTheme(0, Dispatcher);
      ribbon.Theme = ThemeManager.ThemeNameIGTheme; 
    
    }
    
    /// <summary>The silver_ theme.</summary>
    /// <param name="sender">The sender.</param>
    /// <param name="e">The e.</param>
    private void Silver_Theme(object sender, RoutedEventArgs e)
    {
      SetTheme(2, Dispatcher);
      ribbon.Theme = ThemeManager.ThemeNameOffice2k7Silver; 
       
    }

    /// <summary>The black_ theme.</summary>
    /// <param name="sender">The sender.</param>
    /// <param name="e">The e.</param>
    private void Black_Theme(object sender, RoutedEventArgs e)
    {
      SetTheme(2, Dispatcher);
      ribbon.Theme = ThemeManager.ThemeNameOffice2k7Black; 

    }

    /// <summary>The blue_ theme.</summary>
    /// <param name="sender">The sender.</param>
    /// <param name="e">The e.</param>
    private void Blue_Theme(object sender, RoutedEventArgs e)
    {
      SetTheme(1, Dispatcher);
      ribbon.Theme = ThemeManager.ThemeNameOffice2k7Blue;
 
    }

    /// <summary>The set theme.</summary>
    /// <param name="index">The index.</param>
    /// <param name="dispatcher">The dispatcher.</param>
    public static void SetTheme(int index, Dispatcher dispatcher)
    {
      ThemeManager.CurrentTheme = index == 1 ? ThemeManager.ThemeNameOffice2k7Blue : (index == 2 ? ThemeManager.ThemeNameOffice2k7Black : (index == 3 ? ThemeManager.ThemeNameOffice2k7Silver: ThemeManager.ThemeNameIGTheme));
    }
  }
}